function envelope
addpath('../Thermodynamics')
V = 1;
hl=[];
hv=[];
P=[];
for T = 200:304
  P = [P; Psat(T)];
  Nv = N_given_TVP([T; V; P(end)], 'v');
  Nl = N_given_TVP([T; V; P(end)], 'l');
  hv = [hv; h_given_TVN([T; V; Nv])];
  hl = [hl; h_given_TVN([T; V; Nl])];
end
hold on
semilogy(hv, P, 'k', hl, P, 'k','Linewidth',2)
hold off
rmpath('../Thermodynamics')
